# encoding: utf-8
class XcxVersion < ActiveRecord::Base
  self.table_name = "xcx_versions"
  validates :version,:desc,presence: true

  rails_admin do
    navigation_label '版本发布管理'
    weight -500
    list do
      filters [:version,:state]
      field :id
      field :version      
      field :desc
      field :state      
      field :created_at
      # field :updated_at
    end
    show do
      field :id
      field :version      
      field :desc
      field :state      
      field :created_at
      field :updated_at
    end
    edit do
      field :version      
      field :desc
      field :state    
    end

  end

end
